1. Mactaetus

    OP Mactaetus Advanced Member
    Newcomer

    Joined:
    Feb 4, 2004
    Messages:
    72
    Country:
    I have a question regarding a game which I've updated. Been trying to find answers here and on discords but couldn't find any prior to posting. That, for the record. :)

    I'm on Switch SXOS 6.1.0. I've updated a game with a current patch. What's weird is, that the game icon now appears twice. One with a cloud (which prompts me to re-download the game through eshop) and the second one the actual game.
    The patch and game version come from the same rls group. Alas, not working.

    ---
    Starting icon one it prompts me with "Software update is required" and doesn't let me start the title as usual. Only "download" and "cancel"

    Starting icon two prompts me to redownload the software I've purchased through eshop.

    ---
    Can anyone explain to me, what went wrong and why it's acting like that? and preferrably a solution?

    Thanks so much :-)
     
  2. Zumoly

    Zumoly GBATemp Analyst
    Member

    Joined:
    Apr 27, 2018
    Messages:
    1,711
    Country:
    Mali
    This is mostly XCI version and NSP versions of the same game. The update you have is not matching whichever (XCI or NSP) version you have for it. Maybe you got an XCI (Card game) converted to NSP (eShop) and you're using the update meant for the NSP. You could try and get the update for the converted XCI or just grab the NSP version of the base game?
     
    Powerful likes this.
  3. peteruk

    peteruk GBAtemp Addict
    Member

    Joined:
    Jun 26, 2015
    Messages:
    2,445
    Country:
    United Kingdom
    Could be different regions
     
    kop365, Citrus-Hombre and Alex-Kidd like this.
  4. Mactaetus

    OP Mactaetus Advanced Member
    Newcomer

    Joined:
    Feb 4, 2004
    Messages:
    72
    Country:
    I tried everything. Got 4 different versions LOL.
    I'll keep trying. I also thought it has something to do with the regions. I'll try and keep this post updated so others in the future can benefit from it.
     
  5. Mactaetus

    OP Mactaetus Advanced Member
    Newcomer

    Joined:
    Feb 4, 2004
    Messages:
    72
    Country:
    Fixed it. Weird that a rls group releases an update for a game which doesnt work with their release of the game but with another one. stupid.
    Thanks for the help. it was indeed the region
     
  6. peteruk

    peteruk GBAtemp Addict
    Member

    Joined:
    Jun 26, 2015
    Messages:
    2,445
    Country:
    United Kingdom
    Told ya, i had a similar problem the night before
     
    Last edited by peteruk, Nov 7, 2018
  7. matias3ds

    matias3ds GBAtemp Addict
    Member

    Joined:
    Oct 25, 2017
    Messages:
    2,593
    Country:
    Argentina
    You Just saved my guys , i was playing Civilitations just fine with xci .
    Then updated with nsp and installed dlc with nsp , and it asked me to update the switch and i am on 6.0 .
    I erased the update and dlc and the game started as usual .
    Thanks !!
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - software, required, update